Lotus 1-2-3 and JAWS


We have pre-defined several macros, frames, and monitoring
positions to make Lotus 1-2-3 easier to use.  Following is a
summary of these configurations.

Summary of Lotus Macros

Insert-numpad plus:  Sheet Cursor On.
Insert-Z or "5" on the numpad (shift-end on Toshiba):  Read Current
Function.
Insert-C:  Read Cell.
Insert-F:  Read Menu.
Insert-S:  Read Status.
Insert-A:  Read Cell Coordinates.
Insert-D:  Read Data.
Period-delete key:  Position.
Insert-down arrow:  Read Help Line.
Insert-T:  Read Column Title.
Insert-R:  Read Row Title.
Arrow keys, up/down/left/right arrows:  See explanation of macros
below.

Explanation of Macros

Sheet Cursor On:  (insert-numpad plus)
When this is on the arrow keys perform a spreadsheet function, i.e.
moving the cell pointer, or choice, in the menu.  The new choice is
spoken.  Turning on the Jaws cursor or the PC cursor automatically
turns off the Sheet cursor. 

Now you have three cursors.  Use the Sheet cursor to move and speak
the spreadsheet; use the Jaws cursor if you need to read freely
around the screen; and use the PC cursor for things like editing,
where the application program actually uses the PC cursor the way
it should.

Read Current Function:  (insert-Z or "5" on the numpad (shift-end
on Toshiba) Numpad 5 will read the current spreadsheet function if
the Sheet cursor is on.  If not, it will read the character at the
cursor, just like regular Jaws.  The insert-Z will read the current
spreadsheet function.  This would be the highlighted menu choice if
menus are displayed, or the "prompt" on line 2 when it is
displayed, or the value in the current cell when the spreadsheet is
"ready".  Jaws automatically decides which to read.  See "Read
Cell" or "Read Menu" for more information.

Read Cell:  (insert-C)
Reads the value of the highlighted cell in the spreadsheet, the
information that appears in the spreadsheet area, not on line 1. 
Numpad 5 also reads this when Sheet cursor is on.

Read Menu:  (insert-F)
Reads the highlighted choice in the menu if menus are displayed. 
Will also read the prompt or edit field on line 2 if one exists. 
Numpad 5 also does this if Sheet cursor is on.

Arrow keys:  (up/down/left/right arrows)
When the Sheet cursor is on, the arrow keys will perform
spreadsheet functions, like moving the highlighted cell in the
spreadsheet or the highlighted choice in the menu.  The new choice
will be spoken.  Sometimes, the arrow keys will not perform as you
might expect.  For example, if you are in the "menu" mode, the up
and down arrows do nothing.  If you are at the top or left side of
the spreadsheet, the up or left arrows will do nothing.  If you are
not in the "ready" mode or the "menu" mode, then you probably have
a prompt or edit field on line 2 and the performance of the arrow
keys will depend on the situation; i.e. the application will do
different things at different times.  If you are not sure what to
do, just try something.  During "edit" mode, the PC cursor should
be turned on, then the left and right arrows will read the edit
data.

Read Status:  (insert-S)
Reads the "status" information at the top right corner of the
screen.  It says things like "ready" when the spreadsheet is ready,
"menus" when menus are displayed on line 2 and 3, "point" when you
need to enter cell coordinates or positions, "files" when you are
retrieving or saving files, etc.  Use insert-S to read this status
or "mode" information when you are not sure what the spreadsheet is
doing.

Read Cell Coordinates:  (insert-A)
Reads the row and column of the current cell, e.g. "A1" or "K9."
The letter is the column, the number is the row.

Read Data:  (insert-D)
Reads the cell data displayed on line 1.  This would be the formula
used to calculate the cell value, or a label, or numeric data, or
whatever you enter for the cell.  This key reads the data and
places the Jaws cursor at the beginning of the data.

Position:  (period-delete key)
This reads the position of the cursor.  If the Sheet cursor is on,
it will read the cell coordinates, "A5", "Z29", etc.  If the Jaws
or PC cursor is on, it will read the row and column numbers.

Read Help Line:  (insert-down arrow)
When the Sheet cursor is on, this key will read the menu "help"
information displayed on line 3 when the spreadsheet menus are
displayed.  If the Jaws menus are up or displayed, it will also
read the Jaws menus help line.  This is very useful for learning
more about the highlighted menu choice.

Read Column Title:  (insert-T)
This reads the "title" of the spreadsheet column of the highlighted
cell.  At least, it is supposed to.  Actually, it just reads the
word on line 5 of the screen directly above the highlighted cell:
It looks straight up from the highlighted cell and reads whatever
is on line 5.  You can use your spreadsheet commands to "lock" the
labels or titles for the column in this position so this key will
actually read the title.  If your titles are displayed somewhere
else, you can modify this macro key to read the appropriate place
on the screen.  This is just a macro that finds the highlighted
cell, then does a "Go to" to move to line 5 but stay in the same
column.

Read Row Title:  (insert-R)
This is designed to read the title of the row that the highlighted
cell is in.  Actually, it reads the second word from the left in
the row the highlighted cell is in.  Use your spreadsheet commands
to "lock" the row titles in this position, so this key will
actually read the desired information.  This is just a macro that
finds the highlighted cell, then moves to the left side of the
screen, then does a "next word" and speaks whatever information is
there.

Menus and Cursors

When you invoke the spreadsheet menus with the "slash" key you will
notice that it reads the highlighted menu choice (be sure Sheet
cursor is on).  Then as you use the left or right arrow keys, or
press the letter of the choice you want, it will read the new
highlighted choice.  Use the enter key to select a choice; Jaws
will speak the new menu.  Use the escape key to exit a menu; Jaws
will speak the new menu.  If the highlighted choice should
disappear, such as when entering a file name, Jaws will
automatically read the prompt on line 2.  Whenever entering or
editing data, such as file names or cell coordinates, turn on the
PC cursor for better control and to avoid "reading" line 2.

Jaws monitors menu changes.  Jaws is "monitoring" frame 2, which is
lines 2 and 3.  Anytime something there changes it performs a
macro, insert-F, which searches for the highlighted menu choice. 
If there is no highlight, it reads line 2.  The monitoring causes
Jaws to speak when you press a letter key to make a menu selection,
or the enter or escape keys.

Jaws monitors 1-2-3's "status."  Jaws is monitoring frame 70, which
is the area in the top right corner where the status or mode
appears, like "ready" or "menus".  Each time this changes the "Read
status" macro is performed to read frame 70.

Modifying Jaws Macro Keys

If you do not like the way we have laid out our keys, you can move
them.  Use the "macro duplicate" function in the Jaws menus.  Press
control-slash to invoke the Jaws menus, "M" for macros, "D" for
duplicate: it will prompt you to enter the key or key combination
you want to duplicate.  Press the key; then it will prompt you to
enter the key or key combination to receive the new definition. 
Enter the new key.  Then you can use "macro erase" to erase the
original key, in case you want to use it for something else.  

Remember to save your new keyboard layout with the "Config files"
menu: Enter control-slash to invoke the menus, "C" for config
files, "S" for save, "M" for macros.  Jaws will display the name of
the last file to be loaded, which should be "123J."  If so, just
press enter; if not, enter the correct name.

User Flags

The "Sheet cursor" key turns on User Flag 1 if it is not already
on.  The Jaws cursor and PC cursor keys turn off User Flag 1, if it
is not already off.  Then other keys or functions, like the arrow
keys, can check the user flag and decide what to do.  For example,
the down arrow key checks the user flag.  If it is on, it performs
a down arrow, then "jumps" to the "read current function" macro,
which decides what part of the spreadsheet to speak.  If the user
flag is not on, the down arrow performs "normally": It does a "say
next line", which moves the active cursor (Jaws or PC) down a line
and speaks the new line.

Batch Files

Use the "123J.BAT" batch file to automatically load the Jaws
configurations and run 1-2-3.  This batch file uses "J_LOAD.EXE" to
load the macro and frame files from the DOS prompt, then runs the
application program "1-2-3."  When the application is exited, the
batch file automatically loads the default Jaws config files.

For the batch file to work properly, you must follow a few simple
rules:  

1)  Be sure the Jaws subdirectory is in the "path".
2)  Be sure that "J_LOAD.EXE" is in the Jaws subdirectory.
3)  Be sure "123J.JMF" and "123J.JFF" are in the Jaws subdirectory.
4)  Be sure you are in the 123 subdirectory when you execute the
batch file.  
5)  The batch file is executed simply by typing in the name, "123J"
and pressing enter.  

You can modify the batch file to perform differently if you want;
these are just our suggestions.  If you decide to change things to
suit yourself, do not depend on our support.  Once you change it,
we do not know what it is supposed to do and cannot support it.
