Table of Contents

     THE HENTER-JOYCE PROGRAM LICENSE AGREEMENT                 I
               LICENSE                                          I
               TERM                                            II
               LIMITED WARRANTY                                II
               LIMITATION OF REMEDIES                          II
               OTHER PROVISIONS                                II

     Chapter 1 - INTRODUCTION                                   1
               Requirements and Restrictions                    1
               Special Design                                   2
               The Jaws Menu System                             2
               Jaws Macros                                      2
               Installation of JAWS                             3
               Running Jaws                                     3
               Removing from Memory                             4
               The Manual                                       5

     Chapter 2 - SPEECH PAD and KEYBOARD                        7
               Introduction                                     7
               Basic Cursor Movement and Speech Functions       8
               Position Determination                          10
               The Jaws Cursor                                 11
               Extra Speech Pad Functions                      14
               Numbers Row Functions                           17

     Chapter 3 - JAWS MENU SYSTEM                              20
               Introduction                                    20
               Selecting an Item                               21
               Level Adjusting Menus                           22
               The Main Menu                                   22
               The Voice Menu                                  24
               The Global Menu                                 24
               The Keyboard Menu                               25
               The Screen Menu                                 26
               The Speech Pad Menu                             26
               The Universal Menu                              27
               The Dictionary Menu                             28
               The Filter Menu                                 30
               The String Search Menu                          30
               The Go To Menu                                  31

     Chapter 4 - JAWS MACROS                                   34
               Introduction                                    34
               Jaws Macros Menu                                34
               Macro Revise Window                             35
               Performing Other Macros                         37
               Jump Macro                                      38
               BIOS Macros                                     38
               Duplicate                                       39
               Auto-Macros                                     40
                                   Voice Parameters and Macros           40
               External Programs                               42
               Jaws Functions                                  42

     Chapter 5 - JAWS FRAMES                                   46
               Introduction                                    46
               The Frames Menu                                 46
               Speaking a Frame                                47
               Activating a frame                              47
               Quieting a Frame                                48
               Revising a Frame                                49
               Defined Frames                                  50
               Priority of Frame Definitions                   50
               Monitoring                                      51
               Large Screens                                   51

     Chapter 6 - SCREEN ENHANCEMENTS                           52
               Introduction                                    52
               The Enhancements Menu                           52
               Different Enhancements                          52
               Finding an Enhancement                          52
               Options                                         53
               Repeat Previous Search                          54
               Say Enhancements                                55
               Say Field Mode                                  55
               Color-Bar Tracking                              55

     Chapter 7 - CONFIGURATION FILES                           57
               Introduction                                    57
               The Configuration File Menu                     57
               Loading Config Files                            57
               Save                                            57
               Command Line Configuration Loading              58
               J_LOAD                                          58
               Booting Up                                      58

     Chapter 8 - APPLICATION PROGRAMS and JAWS                 60
               Word Perfect and JAWS                           60
               Summary of Word Perfect Macro Keys:             60
               Frame Monitoring                                65
               Using the Word Perfect Batch Files              66
               Word Perfect Frame File                         67
               Making Changes to the Configuration Files       67
               Lotus 1-2-3 and JAWS                            69
               Explanation of Macros                           69
               Menus and Cursors                               71
               Modifying Jaws Macro Keys                       72
               User Flags                                      72
               Batch Files                                     72

     Chapter 9 - TROUBLE-SHOOTING                              74
               Why JAWS Doesn't Act the Same on All Computers  74
               Is the Screen Color or Monochrome?              75
               Searching for a Screen Enhancement or Color     76
                                   Search Options                        76
               Using a Letter to Specify a Frame               77
               Macros That Do Not Work                         78
               Macro Can Not Find Color                        79
               Word Perfect Spell Check Macro                  79
               Skipping Words or Characters                    81

     Appendix A - ACCENT SYNTHESIZERS                          83
               Accent PC                                       83
               Accent MC                                       83
               Accent Mini                                     83
               Accent for the Toshiba                          84
               Running Jaws with Accent internals              84
               Accent SA                                       84
               Running Jaws with the Accent SA                 84
               Extra Voice Parameters                          85
               Synth1 parameters                               86
               Changing Ports with the internal Accents        86
               Networks                                        86
               Hardware Conflicts                              86
               I/O Address, or Base Address                    87
               Setacnt Program                                 87
               Accent PC Switches                              87

     Appendix B - BRAILLE 'N SPEAK and JAWS                    89
               Braille 'n Speak as a synthesizer               89
               Speech Box Mode                                 89
               Extra Voice Parameters                          90

     Appendix D - DECTALK and KURZWEIL                         91
               Loading Jaws Software for DecTalk               91
               DecTalk DTC01 from Digital Equipment            91
               The Portable DecTalk                            92
               The Kurzweil Personal Reader                    92
               PC KPR Internal DecTalk                         93
               Extra Voice Parameters                          94

     Appendix E - ECHO SYNTHESIZERS                            95
               Echo PC                                         95
               Echo PC+                                        95

     Appendix H - HARDWARE INSTALLATION                        97
               Installing Internal Synthesizers                97
               Installing Serial Synthesizers                  99
               Your Computer's Ports                           99
               Serial Cables                                   99
               Port Sizes & Positions                          99
               Which Port is COM1?                            100
               What if it Does Not Work?                      100
               The "DOS Test"                                 101
               Serial Port Conflicts                          102
               Changing the COM Port Number                   103
               Changing the IRQ                               103
               Changing the Base Address                      103
                         Appendix J - JAWS SOFTWARE INSTALLATION        105
               The Jaws Subdirectory                          105
               To run Jaws                                    105
               Special Versions of Jaws for each synthesizer  105
               Command Line Parameters                        106
               Files on the Jaws Disk                         107
               NUMOFF                                         109
               Loading Jaws into High Memory                  110

     Appendix O - SOUNDING BOARD                              112
               Hardware Installation                          112
               Software Installation                          112
               Synth1 parameters                              114

     Appendix P - PROSE 4000 and JAWS                         115
               Interrupt or Base Address changed              115
               I/O Address Map                                115
               Interrupt Line Input Impedances                116

     Appendix Q - QUICK REFERRENCE GUIDE                      118
               Speech Pad Keys                                118
               Jaws Menus                                     118
               Voice Menu Features                            119
               Numbers Row                                    119

     Appendix S - SYMPHONIX SYNTHESIZERS and VOTALKER         120
               Symphonix 200, 220, and VoTalker               120
               Symphonix 210/215                              120
               Running Jaws and Symphonix                     120

     Appendix T - TOSHIBA LAP TOP COMPUTERS and JAWS          122
               Keyboard Layout                                122
               Generic Software Installation                  122
               Toshiba Quick Referrence                       122
               Command Line Parameter                         123
               Updating Macro Files for Extended Keyboards    123
               Toshiba 3100                                   124
               Toshiba 1000 SE                                126
               T1000SE Keyboard                               127
               TOSHIBA 1200                                   128

     Appendix U - AUDAPTER SYNTHESIZER                        130
               Installation                                   130
               Loading the Jaws Software                      130
               Extra Voice Parameters                         130
               Synth1 parameters                              131

     Appendix V - VP SYNTHESIZER and JAWS                     132
               Installation                                   132
               VP and JAWS Software                           132

     Index                                                    133
