Chapter 5 - JAWS FRAMES


Introduction

Many application programs use something called "Windows" to display
certain information such as menu selections or error messages.  The
Jaws Menu System, in fact, uses windowing to display the Jaws menus
and any error messages.  Unlike the Jaws menu system, however, most
windowing systems can be a major obstacle to a blind person's
efficient use of computers.  For this purpose and several others,
Jaws provides a device called a "Frame" which will surround a
window or other region of the screen (such as a word processor's
status line) and focus Jaws' attention to this region.  As in the
case of the real world device by the same name, a frame isn't
terribly important - it simply surrounds something which is and
helps focus your attention to what lies within.

Jaws provides a total of 100 frames, any one of these can be
changed by the user.  Frame "0" is the entire screen and cannot be
changed.  Frames 1 to 99 are initially defined to occupy the entire
screen but their dimensions can be changed at any time to cover any
portion of the screen.  The frame definitions also become part of
the current configuration and can be saved to a configuration file
(Jaws Frame File) for later recall.

Frames can be quieted, spoken, activated, or Monitored.  A frame
which is quieted will not have its contents inadvertently spoken
(such as a word processor's status line which changes and is spoken
every time the cursor moves).  Any frame from 0 to 99 can be spoken
- when a frame is spoken, everything within its defined boundaries
will be spoken by the speech device.  Any Frame from 0 to 99 can
also be activated.  When a frame is active, all cursor movements
are restricted to within the boundaries of the frame.  Frame
monitoring is coupled to macros: when the data or colors in a
monitored frame change then a macro is performed.  See the chapter
on Macros for more on this.

The Frames Menu

Frame speaking, activation, quieting, revision and monitoring are
all performed through the Jaws Frame Menu.  The Jaws Frame Menu is
accessed by selecting the option "Frames" from the Jaws Main Menu.
(For further information on the operation of the menu system, refer
to the chapter of this manual entitled "The Jaws Menu System".) The
choices offered by the Frame Maintenance menu are:

Speak    - Speak the contents of the screen within a frame.

Activate - Activate a frame.
Quiet    - Silence a frame.

Revise   - Revise the definition of a frame.

Monitor - "Watch" the frame and perform a Macro.

Speaking a Frame

Selecting the option "Speak" from the Frames menu and specifying a
frame number will cause Jaws to speak the contents of that frame. 
Any frame number, from 0 to 99 can be specified.  The most recently
referenced frame will be the default.  If frame 0 or a frame which
hasn't been defined is specified, the entire screen will be read -
this is because frame 0 is defined to occupy the entire screen and
cannot be changed and undefined frames are all defined to occupy
the entire screen.

When Speak is selected, "Enter frame number: x" will appear on line
1 of the menu (x indicates the most recently referenced frame
number, the default).  Line 2 of the menu will say:  "Enter the
frame number you wish to speak."  At this point, if Enter is
pressed, the frame whose number appears on line 1 will be spoken. 
Alternatively, a different frame number can be entered, its
contents will be spoken, and it will become the new default frame
number.

Jaws can also speak the frame that the cursor is in.  The letter A
for Active Cursor can be entered and the frame in which the active
cursor (the one that is currently turned on) resides will be
spoken.  Enter J to speak the frame the Jaws cursor is in, or P for
the frame the PC cursor is in.  This is very useful for data base
applications, in order to read the fields and field titles.  A
macro can be defined to perform a tab and then speak the frame that
the PC cursor is in.  If the frames have been designed correctly
for that particular screen Jaws will speak the field data and/or 
field titles.  The titles of the fields are not always left of the
field, they can be above, below, or to the right, and may take up
more than 1 line.  With a frame to surround the information the
user can be very selective about what is spoken.

If the cursor lies in more than one frame (if two frames overlap),
the frame with the highest number will be spoken.  Again, if the
frame specified is undefined, the entire screen will be spoken.

Activating a frame

Selecting the option "Activate" from the Frame Maintenance menu and
specifying a frame number will cause Jaws to make the specified
frame active.  When a frame is active, all cursor movement and
speech is restricted to the region of the screen within that frame. 
If the PC Cursor is active, the restriction will be application
dependent since the application program will naturally be unaware
of the presence of the frame and the restriction.  Any frame
number, from 0 to 99 may be specified; the most recently referenced
frame will be the default.  Activating a frame will also remove
Quieting from that frame, if present.

When Activate is selected, "Enter frame number: x" will appear on
line 1 of the menu (x indicates the most recently referenced frame
number, the default) and "Enter the number of the frame you wish to
activate." will appear on line 2 of the menu.  At this point, if
Enter is pressed, the frame number which appears on line 1 of the
menu will be activated.  Alternatively, a different frame number
can be entered, it will be activated, and its number will become
the new default.  Again, if an undefined frame is specified, the
entire screen will be activated.  Also, the letters A, J, and P can
be used to specify the frame, see above discussion under "Speak".

Quieting a Frame

Selecting the option "Quiet" from the Frame Maintenance menu and
specifying a frame number will cause the specified frame to be
silenced.  Programs such as word processors and some desktop
utilities frequently produce unwanted speech output, by writing to
the screen through BIOS.  Many word processors will cause the new
row and column position to be spoken every time the cursor moves
and many desktop utilities which display a clock on the screen will
produce speech output every time the clock changes.  Anyone working
with the computer would find this extremely annoying.  Two methods
exist to eliminate this problem:  The first and worst is to simply
use the menu system to turn off screen echoing; unfortunately, this
will also silence the things which should be heard.  The second and
preferable method is to simply define a frame to cover the
offending area and quiet that frame.

When Quiet is selected, "Enter frame number: x" will appear on line
1 of the menu (x represents the most recently referenced frame
number, the default) and "Enter the number of the frame you wish to
silence." will appear on line 2 of the menu.  At this point, if
Enter is pressed, the frame whose number appears on line 1 will be
silenced.  Alternatively, a different frame number can be entered,
it will be silenced, and that frame will become the new default. 
As above, if an undefined frame is specified, the entire screen
will be silenced.

Notes on Quiet:

Before Quieting a frame, it is recommended that the frame first be
spoken to insure that only the desired area of the  screen is
silenced.  

Quieting a frame only prevents its contents from being
inadvertently spoken (when data is written to the screen through
BIOS and spoken by Jaws' screen echo).  If the frame number is
specified in a Speak command or the contents of the frame are read
using the Jaws Cursor, the data will still be spoken. 

The Quieting of a frame can be canceled simply by entering the
number of that frame in an Activate or Revise command.

Revising a Frame

Selecting the option "Revise" from the Frame Maintenance menu and
specifying a frame number will allow the frame to be revised. 
Initially, all frames are defined to occupy the entire screen.  To
be meaningful when spoken, activated, or silenced, it will be
necessary to adjust the dimensions of the frames.  Since frame 0
cannot be revised and it occupies the entire screen, operations
which require the entire screen should use frame 0 rather than some
other frame.  

When Revise is selected,  "Enter frame number: x" will appear on
line 1 of the menu (x represents the most recently referenced
frame, the default) and "Enter the number of the frame you wish to
revise." will appear on line 2 of the menu.  At this point, if
Enter is pressed, the frame whose number appears on line 1 can be
revised.  Alternatively, any number from 1 to 99 can be entered and
its definition can be revised instead.  If a different frame number
is entered, it will become the new default.

After selecting Revise and either entering a frame number or 
pressing Enter to accept the default, the existing definition for
that frame will be displayed on line 1 of the menu.  Line 2 of the
menu will contain a brief description of what is expected as input. 
Initially, "Top Row: x" will be highlighted (x represents the
current number of the top row of the frame.  The other items which
appear on line of the menu are:  "Bottom Row: x", "Left Column: x",
"Right Column: x", and "Accept".  When an item is highlighted, the
value for that coordinate of the frame can be changed or accepted
as it is currently defined.  The top row number must naturally be
less than or equal to the bottom row number and the left column
number must be less than or equal to the right column number.

The standard cursor movement keys function largely as expected. 
Use Enter or Down Arrow to accept and move to the next item, Up
Arrow to abort.
Example

Assume that you are attempting to configure Jaws to work with a
word processor which uses line 1 for the status line and which,
whenever the cursor moves, changes the status line in such a way
that the new coordinates are spoken.  A function exists to read
line 1 of the screen, but there is no function to keep it quiet. 
The way to silence the changes is to simply define a frame to cover
the status line and then make that frame quiet.  So, select Revise
from the Frames menu and enter a frame number to revise - such as
frame 99.  Assuming that this frame is undefined, the coordinates 
Top Row: 1,  Bottom Row: 25, Left Column: 1, and Right Column: 80
will appear on line 1 of the menu.  Since the status line occupies
line 1 and the cursor cannot normally move there, it will be
sufficient to silence the entire line.  

Select Revise, Enter the coordinates of top row 1, bottom row 1,
left column 1, right column 80, and press enter when on "Accept". 
Press Escape or "Prior Line" to abort the revision.

Next, type the letter S to select the option Speak.  The number of
the frame you have just revised should be the default, so simply
press Enter.  Next, the menu system will be exited, the previous
contents of the screen restored, and the specified frame will be
read.  Assuming this is the correct data, it should be safe to
silence the frame.

To complete the silencing, you would reenter the menu system, type
F to select Frames, type Q to select Quiet, and press Enter to
accept the default (which is the desired frame).  Now exit the
menus and return to the word processor with the offending line
silenced.  Should you wish to hear what is on that line, you can
still ask to hear it by using the Read Line X command or other
screen reading functions.

Remember to "save" the frames on the disk using the Config Files
menu if you want to re-use these frame definitions.

Defined Frames

To see which frame numbers have already been defined select Revise
from the Frames menu.  When it prompts you for a frame number it
will display the last frame to be revised.  Press Next Word or
Prior Word to see or hear the other defined frames.

Priority of Frame Definitions

Occasionally, cases will arise when it is important to know what
will happen if two or more frames overlap or if an active frame and
a quiet frame overlap.  There are only rare cases when this can be
important, but Jaws must have a way to resolve potential conflicts
of this sort.  When such a case arises, Jaws uses a "Priority"
system to determine which frame takes precedence.  Priorities are
assigned depending on the frame number - lower numbered frames have
a lower priority.  If you specify a frame with the letters "J",
"P", or "A" (the frame that the Jaws, Pc, or Active cursor is in)
Remember that you may be "in" more than one frame and the one with
the highest number will be selected.  Also, if line 1 of the screen
has been silenced by frame 1 but frame 2, which occupies the top
half of the screen, for example, will effectively cancel frame 1. 
On the other hand, if frame 1 were instead assigned number 50,
frame 2 would not cancel it.

Monitoring

Frame monitoring means to "watch" the frame for any changes in the
data or color of the frame, i.e. the area of the screen surrounded
by the frame.  When the frame "changes" Jaws will perform a macro. 
This is a very powerful feature, see the section on "Auto Macros"
in the Macros chapter for more information.  since Frame monitoring
now involves performing a macro we decided to cover it with Macros.

Large Screens: Some screens have more than 25 lines or 80 columns,
which is the most common size.  Jaws will automatically figure out
what size screen you are using at boot-up time and adjust itself
accordingly.  However, some application programs will change the
screen size when you run them.  If this happens to you simply
"activate" frame 0, then JAWS will automatically re-adjust itself
to the new frame dimensions.

Older versions of JAWS (version 2.14 and earlier) will require a
different technique.  Simply "revise" a frame with the desired
size, e.g. top row 1, bottom row 43, left column 1, right column
133.  Then "activate" this frame as described above.  You should
store these frame definitions with the Config Files menu so they
can be used the next time you run the application with the larger
screen.  You may  also need to use this technique for newer
versions of JAWS if the "frame 0" method described above does not
work properly.  JAWS may not be able to accurately "read" non-
standard video cards.

Frames are also used to limit or restrict a color search or string
search to a particular area of the screen.  Read the section on
screen enhancements/colors, string searches, and "Search Options" 
for more information and examples.
