Appendix P - PROSE 4000 and JAWS

 
To use Jaws with the Prose 4000, Prose 2000, or CallText
synthesizers you must have the version named "J_PROSE.EXE".  If you
have a VERT Plus this version of Jaws will work with your VERT
synthesizer.  Simply install the synthesizer board in the PC (if it
is not already installed) and enter "J_PROSE".  Study the Jaws
training tape to  learn the superb features of Jaws.  Refer to
Internal Synthesizer Installation for tips on installing the Prose.
 
If your Prose synthesizer board has had the Interrupt or Base
Address changed you must notify Jaws as in the following examples: 
 
"J_PROSE IRQ=3" 
"J_PROSE BASE=###" 
"J_PROSE IRQ=7 BASE=###" 
 
The number signs represent the base address, which must be 
presented in decimal numbers, not hexadecimal. 
 
If your Prose board is not working after being installed in a PC
you may have an IRQ conflict or base address conflict.  The 
defaults are IRQ=2 and Base=768.  We suggest changing the IRQ to 7,
if that does not work then change the base address to 784 (310
hex).  If these changes do not work try a few more, or take an 
educated guess depending on the type of equipment installed in 
your PC.  See below for the base switches and IRQ jumper settings. 
Another reason you may have trouble is the interrupt  resistor, you
may need to change this resistor to suit your PC,  see below. 

I/O Address Map 

The IBM PC leaves the I/O address range 300H through 31FH available
for prototype cards.  The PC uses the range 320H  through 32FH for
its fixed disk.

For proper operation of the Prose 4000 board, select one of the 
following Base Addresses, by setting the proper switches on/off  in
switch bank 2 (found just above the edge connector on the  board): 
                                                  
DECIMAL HEX     BASE ADDRESS        SWITCH SW2 POSITION  
                                  1   2   3   4   5   6   7   8  


  768             300H            ON  ON  ON  ON  ON  OFF OFF  X 

  776             308H            OFF ON  ON  ON  ON  OFF OFF  X 

  784             310H            ON  OFF ON  ON  ON  OFF OFF  X  

  792             318H            OFF OFF ON  ON  ON  OFF OFF  X  

  800             320H*           ON  ON  OFF ON  ON  OFF OFF  X  

  808             328H*           OFF ON  OFF ON  ON  OFF OFF  X  

                                                                  
                        X = DON'T CARE 

*The Base Addresses 320H and 328H may be used provided there is  no
fixed disk.  Of course, any one of the above Base Addresses  can be
used provided there is no other device with the same  address. 
Note that position number 8 of switch # 2 is not used.
INTERRUPT or IRQ MATRIX 

The following is the jumper table to connect Text-to-Speech 
Converter Status Change or/and RS232C's Transmitter Ready (TxRDY)
to connect any of the IBM PC I/O channel interrupt lines IRQ2 to
IRQ7. 

IBM PC         IBMPC       TEXT-TO-SPEECH     RxRDY      TxRDY 
INTERRUPT     INTERRUPT 
               JUMPER  

 IRQ2         E72-E73        E60-E61        E74-E75     E76-E77  

 IRQ3         E62-E63        E60-E61        E74-E75     E76-E77   
 IRQ4         E64-E65        E60-E61        E74-E75     E76-E77   
 IRQ5         E66-E67        E60-E61        E74-E75     E76-E77   
 IRQ6         E68-E69        E60-E61        E74-E75     E76-E77   
 IRQ7         E70-71         E60-E61        E74-E75     E76-E77   
 
In cases concerning Jaws and changing the IRQ refer to the  jumpers
named in the first column above, under the heading "IBM  PC
Interupt Jumper".  For example, to enable IRQ 7 place the  jumper
(wire coupling) so it connects pins 70 and 71. 

Interrupt Line Input Impedances

Different "IBM PC-Compatible" computers have different input 
impedances on their interrupt lines.  To accommodate these 
differences, the Prose 4000 board is shipped with three different
SIP (Single In-line Package) resistor packages.  

The factory configuration is with a 10 K-ohms pull-down SIP in 
location RN12 near the edge connector.  The SIP is installed into
a solderless socket on the board.
To meet your particular computer requirement, find the appropriate
SIP in the table below and follow the installation  directions. 
Note that no change is required if your computer is an IBM PC,
PC/XT or PC/AT, or is manufactured by Columbia, Compaq or Sperry. 

PC MANUFACTURER-MODEL                  SIP TYPE

IBM-PC, PC/XT, PC/AT,                   10 K-ohms SIP
COLUMBIA, COMPAQ, SPERRY

ATT-PC                                 470 Ohms SIP

IBM-EXPANSION  CHASSIS                   1 K-ohms SIP
ITT XTRA PC, IBM PS-2 model 30-286

For the IBM PS2-30-286, you need to change the resistor,  put in
the 1k resistor supplied in the resistor pack.  For ATT computers
and NEC computers you will  probably need to change the resistor, 
we suggest trying it first, then if need be change to the 1 k- 
ohm, then the 470 ohm. 

If your computer is not mentioned above, and you have tried several
IRQ lines and addresses (described above) and you are still having
trouble with your Prose synthesizer, try a different resistor to
see if that cures the problem. 

Installation directions 

1.  Remove the SIP installed in sockets at location RN12. 
2.  Find the replacement SIP in the plastic bag shipped with the
Prose 4000 card and plug it into the sockets at location RN12. 
Note that the pin #1 of the SIP (the one marked  with a dot) should
be placed toward the right side of the  board.  (i.e., toward the
bracket).
