Appendix T - TOSHIBA LAP TOP COMPUTERS and JAWS


Here is some information on the Toshiba line of lap top computers,
your model may be discussed, read through it for some helpful
information.  

The Toshiba Keyboard Layout is different than a desk top computer. 
Therefore we have designed a special Jaws keyboard layout for the
Toshibas.  The default or standard Jaws macro file for the Toshiba
is called "jawstosh.jmf", the "tosh" is short for Toshiba.  If you
already have your synthesizer installed and want to load Jaws then
follow the generic installation steps.  If you need more help read
the section specific to your Toshiba.

Generic Software Installation

1.  Copy the Jaws distribution disk onto your hard disk or another
floppy.  If you are not sure how to do this refer to the section in
the Jaws manual about "Installing the Software".

2.  Copy the "JAWSTOSH.JMF" file to "JAWS.JMF".  This copies the
Toshiba keyboard layout into the default file, so it will be loaded
automatically at boot up.  This line will do it for you:

COPY JAWSTOSH.JMF JAWS.JMF

3.  Setup a batch file or an autoexec.bat file to load your
synthesizer software if necessary and Jaws.  To load Jaws just use
the name of the synthesizer version, and follow it with "/t".  Use
"J_ACNTPC/t" for the Accent or "J_SB/t" for the Sounding Board or
"J_SONIX/t" for the Symphonix.  It should start talking.  If it
doesn't refer to your synthesizer manual to be sure the proper
synthesizer software is loaded, or the appendix in the Jaws manual
for your particular version of Jaws and synthesizer, or "JAWS
Software Installation"  to be sure you are doing all the steps
correctly.  

Toshiba Quick Referrence

The easiest way to find the Jaws keys on the Toshiba keyboard is to
turn on help mode.  Hold  down the Insert key (second key to the
right of the space bar) and press the "1" on the numbers row (above
the "q").  Then explore the keyboard, the keys will speak their
names when pressed.  Here is the Toshiba-Jaws key board layout: 
Prior Line = Up Arrow  
Next Line = Down Arrow 
Say Current Line= Shift-Up Arrow 
Prior Word = Shift-left Arrow 
Next Word = Shift-Right Arrow 
Say Current Word= Shift-Down Arrow 
Prior Character = Left Arrow 
Next Character = Right Arrow 
Say Current Character = Shift-End 
Say up to Cursor = Shift-Enter  
Say from Cursor = Shift-Page Down 
Jaws cursor on = Key in top right corner, "sys Request".
PC Cursor on = Second from right top corner, "print screen". (On
some models, like the T3100, the Jaws and PC cursor keys are
reversed.)
Say all = Control Sys Request, usually the top right key.
Read top line = Shift-Home 
Read bottom line = Shift-Page Up 
Route Jaws to PC = Shift-Jaws cursor on, top right corner
Route PC to Jaws = Shift-PC cursor on, second from top right
corner.
Position of active Cursor = Period/Delete, to left of left arrow.
Position of in-active Cursor = Insert-Period/Delete 

With the help mode on you can also discover the locations of the
special keys specific to certain applications, like the Word
Perfect macros for the spell checker or the files menu/revealed
codes mode.  Try control-up arrow, control-down arrow, and alt-end
for some of these functions.

Be sure that num lock is off for best performance, having it on may
produce different keys, especially sys Request and Print Screen. 
If you do not use the "/t" command line parameter shown above in
the "installation" section then you will get different results. 
Read the section on Toshiba Command Line Parameter for more
information about this.

Toshiba Command Line Parameter

The "/t" is a new command line parameter that gives Jaws access to
the extended Toshiba keys.  If you do not use this the keyboard
will not have access to all the necessary Jaws keys.  If you do use
the "/t" and still have trouble you may be using a Jaws Macro File
that has not been updated for use with the extended keyboard.  If
your "down arrow" keys says "down arrow" instead of acting like a
"say next line" then it has not ben updated to work with the
extended keyboard:  Use a newer version of the macro file (from a
more recent Jaws update), or update your own files yourself.

Updating Macro Files for Extended Keyboards:  On a Toshiba the
extended keys are the "regular" arrow keys (below the enter key),
the four cursor-type keys to the right of the enter key (home, end,
page up/down), and the keys on the top row to the right of the
function keys.  Naturally this varies from Toshiba model to model
since none of them are the same.  The non-extended keys are the
imbedded numeric/cursor pad, accessed by holding down the "FN" key
which is left of the space bar.  When numlock is off this imbedded
pad or "overlay" is a cursor pad with all the Jaws speech pad
functions, when numlock is on it becomes a numeric pad.

If you need to update your own macro files simply use the "macro
duplicate" function in the macros menu.  When it asks for the key
to be duplicated hold down the FN key and press the desired speech
pad key (see list below), when it asks for the key to receive the
definition press the desired key or key combination, e.g. the up
arrow key for Prior Line.  Use this technique to transfer the Jaws
keys in the imbedded overlay to the key you want.  The layout we
have chosen is described in the section "Toshiba keyboard layout",
you can follow this setup or create your own.  Of course you do not
have to use the "Duplicate" function, in some cases it may be
easier to simply re-create each key yourself with the "Macro
Revise" menu.

Toshiba imbedded/overlay cursor keys (num lock off):
Home = fn-7
Prior Line = fn-8
Page Up = fn-9
Prior Character = fn-U
Say Current Character = fn-I
Next Character = fn-O
Jaws cursor on = fn-P
End = fn-J
Next Line = fn-K
Page Down = fn-L
PC Cursor on = fn-semicolon
Route Jaws to PC = shift-fn-P
Route PC to Jaws = Shift-fn-semicolon
Position of active Cursor = fn-Period
Position of in-active Cursor = insert-fn-Period

If you are looking for a key/function we have not mentioned just
turn on Help mode and "look" around for it by pressing keys until
you hear the one you want.  If you know the Desk Top macro layout
you will have an idea where to look and what key combination is
likely to contain the Jaws function you want.

Toshiba 3100

If you have a Toshiba 3100 lap top you may want to use the hard
drive for some of your Jaws software.  We recommend that you create
a Jaws subdirectory on the hard drive and copy the entire Jaws
distribution disk over to it.  If your system was not installed by
Henter-Joyce follow these steps:
1.  Install the synthesizer in the expansion slot.  This can be
very complex so be careful or let us do it.  The slot is on the
back of the computer, 2 screws hold on a cover.  Remove the cover,
slide in the synthesizer and use the same screws to hold in the
synthesizer.  Be sure it is "seated" properly in the slot, be
gentle, do not force it, but be sure it is firmly inserted into the
side connector. 

2.  Boot up your system with no floppy in the disk drive, or with
a boot floppy in the A drive.

3.  Create a Jaws subdirectory: Enter "c:" and press enter; enter
"md\jaws", press enter; then enter "cd\jaws" and press enter.

4.  Then copy all the files from the Jaws distribution disk: put
the Jaws disk in the disk drive; Enter "copy a:*.* c:\jaws"; 

5.  If you are using an Accent synthesizer you can use our pre-
defined config.sys and autoexec.bat files.  Copy the autoexec.t31
file and the config.t31 file to the root directory.  The following
commands will do this, replacing Autoexec.bat and Config.sys files
already their.  If you do not want this, maybe you are using a
different synthesizer,  then you should look at our files and add
the appropriate commands to your files.

Enter "cd\", press enter;
enter "copy \jaws\autoexec.t31 \autoexec.bat" add press enter;
enter "copy \jaws\config.t31 \config.sys" and press enter.
 
Re-boot the computer with no disk in the A drive and let it load up
with speech from the hard drive.  You should hear it say "Accent
Ready" then your name and "Jaws Ready".

If your computer is already in "resume mode" you will need to press
the reset button.  On the left side, towards the front is a small
cover, open it by pulling down from the top.  Inside is a button,
press it to reset the computer.  It will beep once, press enter,
then wait for it to load after the next beep.

Now you should be able to use the Jaws utilities like the macro
editor without having the boot floppy in the drive, it will be
loaded from the hard drive.

You may want to set up the Toshiba to use "resume" mode:  Enter
"c:test3"; enter "0" and press enter;  move the cursor down to
"Resume mode"; use left or right arrow to select "resume"; press
F10, then "9", then enter.  Now when you turn it off you will hear
two beeps, this means that you are in resume mode.  When you turn
it back on it will not need to re-boot, it will already be up and
running where you left it.

Toshiba 1000 SE

If you have a Toshiba 1000 SE lap top you may want to use the RAM
drive for some of your Jaws software.  We recommend that you leave
the Jaws program itself on the floppy drive: This is named
"J_ACNTPC.EXE" for the Accent SE synthesizer, or "J_SONIX.EXE" if
you have a Symphonix synthesizer.  You should also leave the Accent
driver "SPKEMS.DVC" or the Symphonix driver on the floppy.  These
files take up a lot of memory and you do not need them on the RAM
drive.

If your system was not installed by Henter-Joyce follow these
steps:

1.  Install the synthesizer in the modem slot.  This can be very
complex so be careful or let us do it.

2.  Boot up your system with no floppy in the disk drive.

3.  Create a boot disk:  put in a new disket in the floppy drive; 
enter "c:"; then enter "format a:/s", if it says you have the wrong
parameters then you do not have a high density floppy.  No problem,
for low-density floppies use the syntax below: enter "format
a:/s/t:80/n:9"; High density floppies have 1.4 megabytes, low
density have 720 kilobytes of storage.

4.  Then copy all the files from the Jaws distribution disk: Put
the Jaws disk in the disk drive; Enter "xcopy a:\ b:\/s"; when it
says to put in the destination disk or the "B" disk put in the
newly-formatted disk we did above;  When it asks to put in the
source or "A" disk put in the Jaws disk again;  Repeat these steps
until the copy is complete.

5.  Now copy the autoexec.t1s file and the config.t1s file to the
proper file names (this step may not be necessary, the install
procedure may have already done it).  The following commands will
do this, if you do not want to use our configuration then you
should look at our files and add the appropriate commands to your
files to get the configuration you want.

enter "copy \autoexec.t1s \autoexec.bat" add press enter;
enter "copy \config.t1s \config.sys" and press enter.
 
Now you should have a boot disk that will also load up the Accent
driver and Jaws.  Re-boot the computer with the Jaws boot disk in
the A drive and let it load up with speech.  You should hear it say
"Accent Ready" then your name and "Jaws Ready".

If your computer is already in "resume mode" you will need to press
the reset button just behind the power supply input connection. 
Use a skinny object to press in the recessed button inside the
small hole.  It will beep once, press enter, then wait for it to
load after the next beep.

Then we want to format the D drive and copy the Jaws utilities over
to it:

1.  Enter "c:format d:", press "y" when asked and press enter.  It
may ask for the current volume label, just type it in.  If you do
not know this press enter, let it abort, then enter "c:label d:"
and it will tell you the current label.  Then repeat the step above
to format the D drive. 

2.  Enter "a:jcopyse", this will copy the Jaws utility files over
to the D drive.

3.  Re-boot the computer with your Jaws boot disk in the a drive. 
It should boot up with speech and be defaulted to the D drive.

Now you should be able to use the Jaws utilities like the macro
editor without having the boot floppy in the drive, it will be
loaded from the RAM drive.

You should at this time set up the Toshiba to use "resume" mode: 
enter "c:setup10"; move the cursor down to "Resume mode"; use left
or right arrow to select "resume"; press enter and "y".  Now when
you turn it off you will hear two beeps, this means that you are in
resume mode.  When you turn it back on it will not need to re-boot,
it will already be up and running where you left it.  Just give it
about 5 seconds and it will be ready to speak. 

T1000SE Keyboard

When loading JAWS for your Toshiba 1000SE use the "/T" parameter. 
This will enable the extended keyboard support except that the
insert key will remain the JAWS shift key.  The two keys on the top
row, top right, Pause (on the right) and Print Screen (second from
the right) are now the JAWS Cursor and PC Cursor respectively. 
With the Shift-Key Down these become Route JAWS To PC and Route PC
To JAWS.

The function keys F10, F11, and F12 do double duty with the FN Key
(the first key to the left of the space bar).  If you hold down FN:
Function Key 12 becomes Scroll Lock On/Off, Function Key 11 becomes
Num Lock On/Off, Function Key 10 becomes Overlay On/Off.  The
"Overlay" is the imbedded numeric pad: J K L become 1 2 3, U I O
become 4 5 6, etc.  If the Overlay is On, these keys take on their
"Overlay" function (numbers or cursor Pad keys).  When overlay is
Off these keys resume their letter key functions.  Holding down the
FN Key reverses the Overlay status: with Overlay Off, holding down
the FN Key and pressing a J will get you a 1.  

Function Key 11 with the FN Key held down toggles Num Lock On/Off. 
If Num Lock is On the imbedded numeric pad will give you numbers,
with Num Lock Off the imbedded numeric pad will act like a cursor
pad (Arrow Keys, Home, End, Page Up, Page Down, etc.)  

JAWS will say, "Num Lock" for both Function Key 10 and Function Key
11 when the FN Key is held down.  This "FN" Key is unique to
Toshiba and it does not use the center keyboard port.  Therefore
JAWS cannot sense when the FN Key is down and "special" things are
about to happen.  Thus it recognizes both Function Key 10 and 11 as
the Num Lock Key when the FN Key is down.  It will say, "Num Lock
On" or "Num Lock Off."  Just remember that when you are pushing
Function Key 11 with the FN Key you are toggling Num Lock, and when
you are pressing F10 with the FN Key you are toggling the Overlay. 



TOSHIBA 1000 SE JAWS KEYBOARD SUMMARY

JAWS Cursor On = Pause.
PC Cursor On = Print Screen.
Scroll Lock On/Off equals FN-F12.  
Num Lock On/Off = FN-F11.
Overlay (Imbedded Numeric Pad) On/Off = FN-F10.
The other "Cursor Pad" keys, like Error keys, Home, End, Page Up,
Page Down, have the same function as the generic Toshiba keyboard. 
The embedded numeric pad/cursor pad (hold down the FN Key and press
the right hand letter key) has a speech pad layout similar to the
JAWS for desktop computers.

The FN Function Keys 10, 11, and 12 are nott extended keys, they
work the same whether we use the "/T" command line parameter or
not.  However, the Insert, Delete, the Arrow Keys, Home, End, Page
Up, Page Down are all extended keys.  Thus the normal Arrow Keys,
Home, End, Page Up, Page Down can be defined differently than the
Overlaid Num Pad Keys.  This gives you a whole extra set of keys if
you hold down the FN Key or when you enable the Overlay.

TOSHIBA 1200

Be sure and load up your JAWS with the /T command line parameter,
I.G. "J_ACNTPC/T", or "J_SONIX/T".  This is the "Toshiba" command
line parameter, it enables the extended keyboard keys on the
Toshiba, everything except the Insert key.  Then the keys on the
top right corner of the keyboard should be, from right to left,
JAWS Cursor On (Sys Request), PC Cursor On (star), Scroll Lock
On/Off, and Num Lock On/Off.  When Num Lock is Off you will get the
"JAWS Keys" such as JAWS Cursor On/Off or PC Cursor On/Off.  When
Num Lock is On you will get Sys Request and Star.  Also, if Num
Lock is on the Insert Key will be an insert, instead of the special
JAWS shift key.  Therefore, for normal operation you will want to
have Num Lock turned off.  

The Num Lock Key (just to the right of F10, or to the left of the
Scroll Lock Key) also toggles the numeric keypad overlay.  If you
hold the FN Key (to the left of the space bar) and press the Num
Lock Key it will toggle (turn on/off) the embedded overlay.  When
the embedded overlay is on the J K L Key become 1 2 3, and the keys
above that are 4 5 6, and above that 7 8 9.  If the Overlay is
turned on and Num Lock is turned off, then the J K L keys become
End, Down Arrow, and Page Down.  And the keys above that are
similar to the keys on a regular numeric pad.  When the Overlay is
turned off you will get the regular letter keys.  If the Overlay is
turned off but you hold down the FN Key, then you will get the
Overlay Keys.  They will be numbers if Num Lock is on, and they
will be Cursor Pad Keys if Num Lock is turned off.  This can be a
bit confusing, of course, but it is the way Toshiba's are designed. 
Unfortunately, toggling the Overlay does not say anything, so you
just have to press the keys and then test to see which is on or
off.  

