Word Perfect and JAWS


Summary of Word Perfect Macro Keys:

Control-up arrow: Spell checker misspelled word, reads the
misspelled word in the spell checker, or, moves to the Prior
Paragraph (WP51).

Control-down arrow: Spell checker alternative choices, moves to and
reads the alternative choices in the spell checker, or:
moves to the Next Paragraph (WP51).

Control-numpad minus: Spell checker misspelled word, WP51.

Control-numpad plus: Spell checker alternative choices, WP51.

Alt-numpad minus: Previous screen.

Alt-numpad plus:  Next screen.

Alt-numpad 5:  Revealed codes cursor, Menu choice (WP51), and Files
menu (WP51, 50).  This is alt-end on Toshiba configurations.

Control-delete:  Read document, page, and line/position numbers on
status line.

Insert-page down: Read status line, reads line 25 or sometimes
lines 24 and 25 for status or menu selections.

Insert A:  Reads the currently selected color attribute, i.e. bold
print or italics.

Alt-semi colon  Reads the misspelled word in the spell checker if
there is one, otherwise reads lines 24 and 25 if there is a menu
selection there, otherwise reads line 25 which is the status
line/menu.  Define this as an auto-macro for frame 25 if you want
to hear the misspelled word automatically.

Read the details below for more info and especially if you are
having a problem with these functions.  If you want to know how to
"load" these macros automatically then skip ahead to "Using the
Word Perfect batch files" following the discussion about the
macros.  If you do not like the keys we have chosen for these
functions then use the "Macro Duplicate" feature to move the
function to another key or key combination.  All the macros
discussed here are contained in "WPJ51.JMF", but they may not all
be in the other macro files.  Version 5.1 is the current version,
we may not always support the older versions.  You can upgrade or
you can re-create any of these macros and use them in your own
macro file for whatever version of WP you want.

Spell Checker Misspelled Word

The Word Perfect spell checker will highlight the misspelled or
unrecognized word with a special video attribute, an enhancement or
different color.  The Jaws macro to read the misspelled word must
first find it on the screen, then say it.  On color machines it
searches for a color, on monochrome machines it searches for a
reverse video enhancement.  If this macro is not working it is most
likely because it is looking for the wrong color, which changes
with different versions of WP.  The Jaws macros for WP version 5.1
look for Red in the background or Reverse video, 5.0 looks for
White in the background, and so does 4.2.  These colors on the WP
screen can also be changed by the user or whoever installed WP. 
This is a classic challenge and the cause of many "errors".  Please
refer to the section on "Macros that do not work" and the WP spell
check macro under that topic.  It gives a complete explanation of
the macro and how to change the color being searched for.  You may
also want to study the training tapes concerning macros.

Speak the misspelled word automatically:  Alt-semi colon is already
created to do this for you.  If you want to hear the misspelled
word instead of the status line simply define alt-semicolon as the
macro to be performed automatically when frame 25 changes:  Enter
the menus with control slash, "F" for frames, "M" for monitor, "S"
for set, enter "25" for the frame to be monitored, press alt-semi
colon for the macro to be performed, then "2" and enter for the
timing delay (this may be increased if the information is
repeated).  

Spell checker alternative choices

This macro will read the first line of alternative words that the
spell checker puts up on line 15.  Jaws will not only read the data
but will also position the Jaws cursor on the word.  Then the data
can be spelled or reviewed in detail or more words can be read from
the screen (use Say Current Line, Prior Line or Next Line to read
the screen).  Use Next Word to read to the next alternative
choices.  If you want to substitute one of the alternate choices
simply press the letter of the choice displayed on the screen, you
do not have to "exit Jaws Cursor mode".  If you want to edit the
word press "4" to select edit, then turn on the PC cursor and edit
the text.

This is a very simple macro that invokes the Jaws menus, does a "go
to" row 15 column 6, then a Say Line.  The result is the Jaws
cursor is positioned on row 15 column 6, which is the first letter
of the first alternative word, then the whole line is read, usually
the first 3 alternative choices.  Use Say word or Spell word to
read the words again, and other screen reading functions to read
the other words.  If you find the correct word in this list just
press the letter to the left of the word to make the substitution.

Prior/Next Paragraph

These macros, usually control-up or down arrow, will move the PC
cursor to the beginning of the paragraph above or below and read
the first line.  It simply does a control arrow key, which is Word
Perfect's command to move to the prior/next paragraph, then it does
a Say line.  Sometimes it will speak before it gets to the correct
spot, because WP is moving too slow.  In that case you can add a
"pause" to the macro, after the control-arrow key but before the
Say Line.  The "pause" will give WP more time to move the PC cursor
to the paragraph before Jaws tries to read the line. 

Prior/Next Screen

These macros will perform the numpad minus or plus, which is the
Word Perfect keys for moving to the previous screen or the next
screen.  A screen is only 24 lines, not the same as a page.  Since
Jaws uses the numpad minus and plus keys, usually for the Jaws
cursor and the PC cursor, we had to provide alternative keys.  The
functions are usually the alt-numpad minus or plus, which is the
usual way for Jaws to "pass through" these keys.

Revealed Codes Mode

Word Perfect has a revealed codes mode (alt F3) to display the
hidden control codes contained in the document, such things as tab
stops, page breaks, and hard carriage returns.  When alt F3 is
pressed the screen splits in half, the bottom half has the revealed
codes and a special cursor.  We have provided a macro key, alt-
numpad 5 (or alt-end for Toshibas), to find this special cursor and
speak the word it is pointing to.  This macro key actually aligns
the Jaws cursor with the revealed codes cursor, then you can use
the regular speech pad keys to read the screen in its vicinity.  If
you hold down the alt key and press the arrow keys you will move
the Revealed Codes cursor, then press alt-numpad 5 to read the word
it is on.  Pressing alt-delete will delete the character or code
the cursor is on.  Pressing enter or F7 will exit Revealed Codes
mode.

Be aware that you are reading this screen with the Jaws cursor. 
This gives you the ability to read freely around the revealed codes
area but always be sure to re-align the Jaws cursor with the WP
revealed codes cursor and check the data at that point before
editing.

If you are using WP 5.1 or 5.0 and this macro does not work then
you have the "color" problem mentioned above with the spell
checker.  This macro is identical to the misspelled word macro
except that it searches from the bottom of the screen instead of
the top.  Refer to  the misspelled word section above for remedies. 
If you are using WP 4.2 then this macro searches for a graphics
character, not a color.

Files Menu  

Use this macro to read the highlighted file name in the files menu
(F5 key).  This is the same as the revealed codes macro.  Then use
the alt-arrow keys to move the menu choice up/down/left/right, then
this macro again (usually alt-numpad 5) to read the new choice.  On
a Toshiba this macro is usually alt-end.

If this macro does not work then you have the "color" problem
mentioned above with the spell checker.  Refer to that section for
remedies.

Menu Choice Macro

The menus in WP 5.1 can be read by the Jaws Revealed Codes macro. 
Invoke the menus with alt-=, then use the revealed codes macro,
usually alt-numpad 5 or alt-end to read the highlighted choice. 
Use the alt-arrow keys to move the choice, then alt-numpad 5 or
alt-end to read the choice.

Remember:  These macro files are designed for use with either
monochrome or color video card.  Jaws automatically figures out
which is being used and searches for the proper attribute.  If you
are using a color card you may have to change the type of
enhancement or color being searched for.  To tell if your machine
is color or maybe thinks it is color refer to the section titled
"Is the screen color or monochrome?" for more details and
solutions.  Be prepared to edit the macros to suit the particular
machine or version or environment you are working in.  Jaws makes
this easy to do if you invest a little time in learning the macros
and the macro editor.  See the Trouble Shooting chapter, "Color or
Monochrome", "Macros that do not work", the Word Perfect spell
check macro, and the training tapes for more info on editing macros
and color searches.
Read Document, Page, Line and Position Number

This macro will announce the document (1 or 2), page, line, and
column position of the cursor in the document.  This appears on
line 25.  It simply speaks frame number 27, which is the "window
frame" around the area of the screen where the desired data
appears.

The frame coordinates are: top row 25, bottom row 25, left column
56, right column 80.  You may want to change these coordinates,
especially the left column number, to include more or less of the
information.  The macro does a "menus" function to invoke the Jaws
menus, then "F" for frames, "S" for speak, then "27" for the frame
number, then "enter" to start the speaking.  If you look at this
macro with the macro editor you will see a "Help Label" which is
the name of the key/function to be spoken when Help Mode is on. 

Read Status Line

This macro reads line 25, which is usually the status line. 
However sometimes lines 24 and 25 are the status lines, such as
when in the Files menu.  You'll notice that this macro reads line
24 and 25 when there is status information on both lines, and reads
only line 25 otherwise.  How does it know?  It searches for a "1"
in column 1 of line 24.  If it finds it then it assumes that line
24 has status information or menu choices and it reads it.  If a
"1" is not found in column 1 then it reads only line 25.  Use the
"Macro Revise" choice in the Jaws menu to look at this macro in
detail.

Current Screen Attribute

This reads the "Screen color" at the column or position number on
line 25.  When you turn on one of the special print enhancements,
like bold or underlined, WP will display the corresponding screen
attribute or color at this position.  That is how a sighted user
can tell what type of print enhancement is selected.  Jaws will
only say the screen attribute or color, not the corresponding print
attribute.  To see what color corresponds to "bold" you should
refer to the Word Perfedct setup screen, or highlight a few words
in "bold" and let JAWS tell you what color is on the screen.

With a little imagination you could have Jaws speak the proper
print attribute instead of just the color.  Use the "Enhancement
Find" feature in the Jaws menus to search for the specific color,
if it finds it speak the proper print attribute through the "Label"
function.  If it did not find the specific color then search for
another one, and another, until it finds a color and speaks the
corresponding print attribute.  The "If" statements and the
"Success flag" make this possible.  We have not pre-defined this,
because we cannot be sure what color will correspond to which print
attribute on your machine, since these can be changed.  

Frame Monitoring 

The Word Perfect configuration also includes a special monitored
frame.  Jaws "watches" frame 25, which is line 25 columns 1-9, for
the data there to change.  When Jaws sees the screen change in that
area it performs a macro, in this case the alt-apostrophe key,
which reads line 25, the prompt line.

This macro does a "Read line x", with the parameter of "Y", the
twenty fifth letter of the alphabet, which represents line 25.  It
also has a help label.  This macro may read the status line too
many times, i.e. repeating it, or it may not read all of the data
that should be there.  This would be caused by a "delay factor"
that needs to be adjusted to suit your computer, or maybe you need
a little extra "pause" in the macro.  If the line is repeated often
then you should increase the delay factor, this is done in the
"Frame Monitor" menu.  If some of the words or information seem to
be missing then add a "pause" to the beginning of the macro.  See
the manual or the training tapes to see how to do this.

Other Techniques

We have mentioned the "special" features of the Word Perfect
configurations.  But do not forget that the "regular" features of
Jaws can be used to great advantage in Word Perfect.

Help mode:  When you invoke the WP help system with F3 it puts
information up on the entire screen, but the PC cursor is stuck on
line 25.  Use the Jaws cursor to read the screen information, (turn
on the Jaws cursor, Page Up to get to the top of the screen, Down
Arrow or Say All to read down the screen) then press the
appropriate keys to get the subject you want.  You do not have to
"exit Jaws cursor mode" in order to communicate with Word Perfect.

Some of the WP functions, like printing or headers/footers, also
require reading the entire screen while the PC cursor is stuck on
line 25.  Use the Jaws cursor also for this.  Sometimes the PC
cursor will be on line 25 until you make a selection, then it jumps
up to the line or choice you have selected.  Turn on the PC cursor
at this time and press Say Line to read the prompt or
question/information being asked for.

Whenever you are in doubt about what to do use the Jaws cursor to
read the screen, it may contain useful information.  You can also
use the WP Help system, it may present specific information and
help you resolve the current situation.  Try something, anything,
instead of just sitting there.  Naturally there is no substitute
for knowledge, study our WP training tapes, other training tapes,
and read the manual to get proficient.

Using the Word Perfect Batch Files

You'll notice on your Jaws disk several files that start with the
letters "WPJ", such as "WPJ.BAT", "WPJ51.BAT", etc.  These files
are designed to load the Jaws configuration files for a version of
Word Perfect, then run WP.  There are currently 3 versions of WP:
4.2, 5.0, and 5.1.  There are also 2 different keyboard layouts for
Jaws, the regular one for desk top computers with a numeric pad,
and the Toshiba lap top keyboards without a num pad.  The "WPJ"
files with a "T" at the end are for the Toshiba lap top computers,
those without the "T" are for desk top computers.

You will notice the file "WPJ.BAT", this is the main batch file
that all the other WP batch files use.  This file has some
"intelligence" built into it (admittedly not much, since we created
it).  You really do not need the other WPJ files with the numbers,
you can just use "WPJ.BAT" with the proper parameters.  This file
will load the appropriate Jaws Frame File and Jaws Macro File, run
Word Perfect, then re-load the default Jaws Frame File and Jaws
Macro File.  Both the Jaws subdirectory and the Word Perfect
subdirectory must be on the path.  In the following examples of the
command line syntax the [filename] is optional.

"WPJ [filename]" will assume WP 5.1;
"WPJ T [filename]" will use Toshiba lap top keyboard layout and WP
5.1;
"WPJ 50 [filename]" will use version 5.0 configuration;
"WPJ 50T [filename]" will use 5.0 and Toshiba configuration; "WPJ
42 [filename]" will use version 4.2 configuration;
"WPJ 42T [filename]" will use 4.2 and Toshiba configuration;

The "51", "50", or "42" define the WP version, the "T" defines
Toshiba keyboard layout.  If the "T" is absent it will assume the
desk top keyboard layout.

Naturally if you are using WP 5.1 then the easiest thing to do is
just use the "WPJ" file to run it, since it assumes that you are
using version 5.1.  If you want to be absolutely certain you can
use the "WPJ51" file or one of the other files if you are using
another WP version.  These "other" files are simply short cuts to
running the main "WPJ" batch file, they are very short and simply
give the proper parameters to the main batch file.  We have
included them for convenience and to be consistent with the WP
batch files for Jaws version 1.  If you get tired of typing in the
5 or 6 characters that make up the file name you can re-name any of
these files, but do not call any of them "WP.BAT".  This would
possibly confuse DOS.  Please do not re-name the "WPJ.BAT" main
batch file, since this would confuse the other batch files that are
using it.

"WPJ51 [filename]" will demand WP 5.1;
"WPJ51T [filename]" will use Toshiba lap top keyboard layout and WP
5.1;
"WPJT [filename]" will use Toshiba lap top keyboard layout and WP
5.1;
"WPJ50 [filename]" will use version 5.0 configuration;
"WPJ50T [filename]" will use 5.0 and Toshiba configuration; "WPJ42
[filename]" will use version 4.2 configuration;
"WPJ42T [filename]" will use 4.2 and Toshiba configuration;

Now that you know the proper name of the batch file for your
version of WP and your keyboard lets learn about the Jaws Macro
Files (JMF) and Jaws Frame Files (JFF).  We use the same naming
convention as with the batch files:

"WPJ51.JMF" is the Jaws Macro File for WP 5.1;
"WPJ51T.JMF" if for Toshiba lap top keyboard layout and WP 5.1;
"WPJ50.JMF" if for version 5.0 configuration;
"WPJ50T.JMF" is for 5.0 and Toshiba configuration;
"WPJ42.JMF" is for version 4.2 configuration;
"WPJ42T.JMF" is for 4.2 and Toshiba configuration;

Word Perfect Frame File

Since all the versions of Word Perfect are fairly similar and the
key board does not affect the frame file we use only one frame file
for all the WP configurations.  It is named "WPJ.JFF".  The main
batch file we talked about above, "WPJ.BAT" loads this file first,
then the appropriate Jaws Macro File.

Making Changes to the Configuration Files

If you ever want to change the Jaws Macro File or Jaws Frame File,
or any of the other Jaws configuration files, be sure you save the
changes on the proper disk drive, in the proper subdirectory, and
in the correct file name.  When you go to save or load a
configuration file from the Jaws menus Jaws will display on the
screen the disk drive, subdirectory, and file name last used.  Be
careful, this may or may not be the one you want.  If in doubt
simply type in all the information: disk drive letter, subdirectory
name or names, and file name.  If the disk drive letter and
subdirectory names are correct you can just type in the name of the
file and press enter.  If the whole thing is correct: Disk drive,
subdirectory, and file name, just hit enter.  Be aware that most of
the confusion comes from saving your changes in the wrong place,
then the next time you use one of our batch files it loads up the
"old" version and your changes are missing.
